# $Revision: 1.9 $, $Date: 2001/11/06 08:00:39 $
Summary:	A modem connection timer
Summary(pl):	Licznik czasu poczenia modemowego
Name:		ppplicznik
Version:	1.0.0
Release:	1
License:	GPL
Group:		Networking/Utilities
Group(de):	Netzwerkwesen/Werkzeuge
Group(pl):	Sieciowe/Narzdzia
URL:		http://gruesome.republika.pl/
Source0:	http://gruesome.republika.pl/%{name}-%{version}.tar.bz2
Patch0:		ppplicznik-ncurses-path.patch
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ppplicznik is a program which during modem connection lets you to
control it's remaining time and amount of received data. Informations
are being displayed in a window on terminal. After terminating the
connection it's stats would be saved to a file. ppplicznik called with
appriopriate command-line option will read it and show every or only
the last-month connections saved in the file.

%description -l pl
ppplicznik to program, ktry w czasie trwania poczenia modemowego
pozwoli Ci kontrolowa jego dugo oraz ilo pobieranych danych.
Informacje prezentowane s w okienku na terminalu tekstowym. Po
zakoczeniu poczenia dane o nim zostan zapisane do pliku.
ppplicznik wywoany z odpowiedni opcj odczyta go i przedstawi
wszystkie poczenia zapisane w pliku lub tylko te z danego miesica.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_datadir}/%{name}} \
	$RPM_BUILD_ROOT{%{_mandir}/man1,%{_mandir}/pl/man1,%{_datadir}/locale/pl/LC_MESSAGES}

install src/ppplicznik $RPM_BUILD_ROOT%{_bindir}
install misc/sound.wav $RPM_BUILD_ROOT%{_datadir}/ppplicznik
install misc/ppplicznik.1 $RPM_BUILD_ROOT%{_mandir}/man1
# install misc/pl/ppplicznik.1 $RPM_BUILD_ROOT%{_mandir}/pl/man1
sed s/"\/usr\/local\/share"/"\/usr\/share"/ < misc/ppplicznik.conf > $RPM_BUILD_ROOT%{_sysconfdir}/ppplicznik.conf
install po/pl.gmo $RPM_BUILD_ROOT%{_datadir}/locale/pl/LC_MESSAGES/%{name}.mo

gzip -9nf AUTHORS ChangeLog NEWS 

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_datadir}/ppplicznik
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/%{name}.conf
%{_mandir}/man1/*
# %lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: ppplicznik.spec,v $
Revision 1.9  2001/11/06 08:00:39  kloczek
- remove gcc-c++ from BuildRequires (libstdc++-devel determines this).

Revision 1.8  2001/11/04 14:32:02  migo
- updated to version 1.0.0
- no longer contains pl manpage
- cosmetics

Revision 1.7  2001/10/18 16:40:23  gotar
- cosmetics.

Revision 1.6  2001/09/27 08:41:44  migo
- removed ac & am from BuildRequires

Revision 1.5  2001/09/26 19:44:57  migo
- added patch for ncurses.h path
- updated to 0.4.0
- removed ac/am regeneration
- dzwiek.wav -> sound.wav STB

Revision 1.4  2001/07/24 07:20:26  gotar
- corrected descriptions.

Revision 1.3  2001/07/23 16:27:51  qboosh
- adapterized, removed unnecessary params from %%configure

Revision 1.2  2001/07/22 18:01:15  gotar
- upgraded to 0.3.0 (this version IS ready, please wait for
  publication).

Revision 1.1  2001/07/18 20:06:58  gotar
- initial release.
